:root {
  --primary-blue: #0192e6;
  --secondary-blue: #0787ea;
  --light-blue: #95d9ff;
  --text-dark: #222222;
  --text-light: #ffffff;
  --text-gray: #666666;
  --bg-gray: #f2f5f8;
  --btn-bg: #2f2f2f;
  --btn-bg-2: #0c509d;
  --green-text: #08421a;
  --contact-text: #10375c;

  --max-width: 1200px;
  --footer-bg: #0e264a;
}

html {
  scroll-behavior: smooth;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Sora", sans-serif;
}

a:focus-visible,
button:focus-visible,
input:focus-visible,
textarea:focus-visible {
  outline: 2px solid var(--primary-blue);
  outline-offset: 2px;
}

header {
  color: var(--text-dark);
  padding: 1rem 2rem;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.nav-logo {
  color: var(--text-dark);
  text-decoration: none;
  font-size: 1.5rem;
  font-weight: bold;
}

.hamburger {
  background: transparent;
  border: none;
  cursor: pointer;
  display: none;
  flex-direction: column;
  gap: 5px;
}

.bar {
  width: 25px;
  height: 3px;
  background-color: var(--text-dark);
  border-radius: 2px;
  transition: all 0.3s ease-in-out;
}

/* Rotate the first bar down */
.hamburger.is-active .bar:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}

/* Fade out the second bar */
.hamburger.is-active .bar:nth-child(2) {
  opacity: 0;
}

/* Rotate the third bar up */
.hamburger.is-active .bar:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

.nav-links-container {
  width: 100%;
  display: grid;
  grid-template-rows: 0fr;
  transition: grid-template-rows 0.3s ease-in-out;
}

.nav-links-container.active {
  grid-template-rows: 1fr;
}

.nav-links {
  overflow: hidden;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding-top: 0;
}

.nav-links li:nth-child(6) a {
  background-color: var(--secondary-blue);
  border-radius: 15px;
  padding: 0.3rem 1.1rem;
  color: var(--text-light);
}

.nav-links-container.active .nav-links {
  padding-top: 1rem;
}

.nav-links a {
  color: var(--text-dark);
  text-decoration: none;
  font-size: 1rem;
  display: block;
}

.nav-links a:hover {
  color: var(--primary-blue);
}

.hero-section {
  width: 100%;
  aspect-ratio: 1036 / 580;
  background-image: url("images/hero-background.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: scroll;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.hero-image {
  max-width: 100%;
  height: auto;
  flex: 1;
}

.hero-text {
  padding-left: 8vw;
  line-height: 3rem;
  color: var(--text-light);
  display: flex;
  flex-direction: column;
  gap: 2rem;
  flex: 2;
}

.hero-text h1 {
  font-size: clamp(2.5rem, 4vw + 0.5rem, 3.5rem);
  line-height: 4rem;
}

.hero-text p {
  font-size: clamp(1.2rem, 1vw + 0.5rem, 1.5rem);
  font-weight: 300;
}

.black-btn {
  background-color: var(--btn-bg);
  border-radius: 10px;
  color: var(--text-light);
  text-decoration: none;
  align-self: flex-start;
  line-height: 1;
  padding: 0.7rem 1.5rem;
  white-space: nowrap;
}

.flex-header {
  margin-top: 3rem;
  font-size: clamp(1.5rem, 2vw + 0.5rem, 2.5rem);
  font-weight: 500;
  line-height: 3rem;
}

.flex-header-margin {
  margin-left: 7rem;
}

.img-col {
  display: flex;
  flex-direction: column;
  text-align: center;
  gap: 2rem;
}

.flex-container1 {
  display: flex;
  gap: 1em;
  width: min(1100px, 95%);
  margin: 50px auto;
}

.flex-container1 img {
  width: 50px;
  height: 50px;
}

.flex-card {
  flex: 1;
  padding: 2em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: left;
  gap: 1em;
  border-radius: 1em;
  font-weight: 200;
  font-size: 1em;
  line-height: 2rem;
}

.flex-card1 {
  background-color: var(--light-blue);
}

.flex-card2 {
  background-color: var(--primary-blue);
  color: var(--text-light);
}

.flex-card p {
  flex-grow: 1;
}

.flex-card3 {
  background-color: var(--light-blue);
}

.flex-container2 {
  display: flex;
  flex-wrap: wrap;
  gap: 6em;
  width: min(1100px, 95%);
  margin: 50px auto;
}



.flex-container2 img {
  width: 200px;
  height: 200px;
}

#categories {
  padding: 4rem 0;
  background-image: url("images/abstract-background.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

#products {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 3.5rem 0;
}

.grid-container {
  display: grid;
  grid-template-columns: 1fr 0.7fr;
  grid-template-rows: 1fr 0.7fr;
  gap: 2em;
  width: 90%;
}

.responsive-img {
  max-width: 100%;
  height: auto;
}

.grid-container h2 {
  padding-bottom: 2rem;
}

.spaced-text{
  line-height: 3rem;
  font-size: clamp(1.5rem, 3vw + 0.5rem, 2rem);
  font-weight: 300;
}

.grid-item1 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-self: center;
  padding-left: 2rem;
  padding-right: 3rem;
}

.grid-item1 a:nth-child(1) {
  border-radius: 10px;
  color: var(--text-light);
  text-decoration: none;
}

.grid-item1 a:nth-child(2) {
  background-color: transparent;
  border-radius: 10px;
  color: var(--btn-bg-2);
  text-decoration: none;
  border: 1px solid var(--btn-bg-2);
}


.grid-item4 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  text-align: start;
  align-self: center;
}

.bg-btn {
  background-color: var(--contact-text);
  padding: 0.7rem 1.5rem;
  border-radius: 10px;
  color: var(--text-light);
  text-decoration: none;
  border: none;
  line-height: 1;
  white-space: nowrap;
}

.products-bg-btn {
  background-color: var(--contact-text);
  padding: 0.7rem 1.5rem;
  border-radius: 10px;
  color: var(--text-light);
  text-decoration: none;
  border: none;
  line-height: 1;
  white-space: nowrap;
}

.outline-button {
  background-color: transparent;
  padding: 0.7rem 1.5rem;
  border-radius: 10px;
  color: var(--btn-bg-2);
  text-decoration: none;
  border: 1px solid var(--btn-bg-2);
  line-height: 1;
  white-space: nowrap;  
}

.foodstuff-image {
  background-image: url("images/raw-meat-table.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  width: 100%;
  min-height: 90vh;
}

#more-products {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  padding: 4rem 5rem;
}

.div-text-h2{
  font-size: clamp(3rem, 5vw + 0.5rem, 3rem);
  padding-bottom: 2rem;
  line-height: 3rem;
  max-width: 500px;
}

.div-text-span {
  display: flex;
  gap: 2rem;
  padding-top: 2rem;
}

#about-us {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--primary-blue);
  width: 100%;
  height: auto;
  padding-left: 5rem;
  color: var(--text-light);
}

.about-us-text p{
  font-size: clamp(0.5rem, 1vw + 0.5rem, 1.2rem);
  line-height: 2.5rem;
  
}

.about-us-text a:nth-child(1) {
  background-color: var(--btn-bg);
  border-radius: 10px;
  color: var(--text-light);
  text-decoration: none;
  align-self: flex-start;
  line-height: 1;
  padding: 0.7rem 1.5rem;
  white-space: nowrap;
}

.about-us-text a:nth-child(2) {
  background-color: transparent;
  padding: 0.7rem 1.5rem;
  border-radius: 10px;
  color: var(--btn-bg-2);
  text-decoration: none;
  border: 1px solid var(--btn-bg-2);
  line-height: 1;
  white-space: nowrap; 
}

#request-supply-section {
  margin: 4rem 3rem;
}

.request-supply {
  background-color: var(--primary-blue);
  margin: 0 auto;
  min-height: 60vh;
  padding-left: 4rem;
  padding-top: 4rem;
  padding-bottom: 4rem;
  max-width: 95%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  color: var(--text-light);
  position: relative;
}

.request-supply img {
  position: absolute;
  top: -45%;
  right: -5%;
  max-width: 100%;
  height: auto;
  overflow: hidden;
}

.request-supply-text {
  line-height: 3rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.request-supply-text h2 {
  font-size: clamp(1.5rem, 2.5vw + 0.5rem, 2.5rem);
  font-weight: 500;
}

.request-supply-text span {
  padding: 1rem;
  background-color: var(--footer-bg);
  color: var(--text-light);
}

.input-container {
  display: flex;
  border-radius: 1.5rem 0 0 1.5rem;
  max-width: 90%;
  overflow: hidden;
  position: relative;
}

.input-container input {
  flex-grow: 1;     
  min-width: 0;
  border: none;
  padding: 0.75rem 1rem;
  font-size: clamp(0.8rem, 1.5vw + 0.5rem, 1.125rem);
}

.input-container input:focus {
  outline: none;
  color: black;
}

.input-container input::placeholder {
  color: #9ca3af; 
}


.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}


.input-container button {
  flex-shrink: 0;
  background-color: #10559e;
  color: white;
  font-weight: 500;
  padding: 0.75rem 1.5rem;
  font-size: clamp(0.8rem, 1.5vw + 0.5rem, 1.125rem);
  border: none;
  cursor: pointer;
  border-top-right-radius: 1rem;
  border-bottom-right-radius: 1rem;
}

.input-container button:hover {
  background-color: rgba(16, 85, 158, 0.9);
}

/* Products page styles */


.product-hero {
  background-image: url("images/table-arrangement.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
  min-height: 60vh;
  display: flex;
  align-items: center;
}

.product-hero-text {
  background-color: var(--bg-gray);
  padding: 2rem;
  width: 25%;
  height: auto;
  text-align: center;
}

#product-category {
  padding: 2rem;
  background-image: url("images/abstract-background.svg");
  background-position: center;
  background-size: cover;
  background-attachment: fixed;
}

.product-category-header {
  display: flex;
  justify-content: space-between;
  gap: 2rem;
  align-items: center;
  padding: 2rem 5rem;
}

.product-category-header p {
  text-align: left;
}

.icon-size {
  max-width: 200px;
  height: auto;
}

.products-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 2rem;
  padding: 2rem 5rem;
}

.request-btn-container {
  margin: 6vw;
}

.green-text {
  color: var(--green-text);
}

.logo-section {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 3rem 0;
  margin: 5rem 0;
}

/* Contact Page styles */

.contact-hero {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 3rem;
  width: 100%;
  height: 60vh;
  background-color: var(--primary-blue);
}

.contact-hero-text {
  color: var(--text-light);
}

.contact-hero-text h1 {
  font-size: clamp(2rem, 6vw, 3rem);
}

.contact-info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 4rem;
  width: 100%;
  height: auto;
}

.contact-info-text {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.contact-info-text h2 {
  font-size: clamp(2rem, 5vw, 3rem);
  color: var(--contact-text);
}

.contact-info-text hr {
  width: 20%;
  height: 5px;
  background-color: #0a66c2;
  border: none;
}

.contact-info-text-flex {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.flex-item {
  display: flex;
  gap: 1rem;
  align-items: center;
}

.flex-item img {
  width: 30px;
  height: 30px;
}

.contact-info-form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  background-color: var(--bg-gray);
  padding: 2rem;
}

.contact-info-form hr {
  width: 10%;
  height: 5px;
  background-color: var(--contact-text);
  border: none;
}

/* Form Grid */
.contact-form {
  display: grid;
  grid-template-columns: 1fr 1fr; 
  gap: 20px;
}

/* Form group */
.form-group {
  display: flex;
  flex-direction: column;
}

/* Full width elements (span 2 columns on desktop) */
.full-width {
  grid-column: span 2; 
}

.contact-info-form input, textarea{
  background-color: white;
  border: none;
  color: var(--text-gray);
  font-size: 1.125rem;
  padding: 1rem 1.5rem;
  outline: none;
}

.contact-info-form input:focus, textarea:focus {
  color: black; 
}

.contact-info-form input::placeholder, textarea::placeholder {
  color: var(--contact-text); 
}

/* News Section */

.news-box {
  padding: 2rem;
  margin: 3rem;
  background-color: var(--bg-gray);
  border-radius: 1rem;
  width: auto;
  min-height: 50vh;
}

#news-updates {
  margin-bottom: 30vh;
}

#news-updates h2{
  margin-left: 3rem;
  color: var(--contact-text);
}

/* Footer styles */
.footer {
  background-color: var(--footer-bg);
  padding: 3rem 5rem;
  position: relative;
  color: var(--text-light);
}

/* .footer::before {
  content: '';
  position: absolute;
  top: 0;
  left: -5%;
  width: 105%;       
  height: 80px;
  background-color: var(--footer-bg);
  border-radius: 0 0 50% 50% / 0 0 50% 50%;
  z-index: 2;
} */

.footer-main-grid {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr; 
  gap: 40px;
}

.footer-bottom-flex {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer-divider {
  border: none;               
  height: 1px;                
  background-color: var(--text-light);               
  margin: 30px 0;             
  width: 100%;                
}

.footer-brand {
  line-height: 3rem;

}

.footer-brand h2 {
  font-size: 2rem;
}

.footer-links ul{
  list-style: none;
  line-height: 2.5rem;
}

.footer-links li:nth-child(1) {
  font-size: 1.5rem;
}

.footer-links a{
  text-decoration: none;
  color: var(--text-light);
}

.footer-contact ul{
  list-style: none;
  line-height: 2.5rem;

}

.footer-contact li:nth-child(1) {
  font-size: 1.5rem;
}

.social-icons {
  display: flex;
  font-size: 1.5rem;
  gap: 1.5rem;
}

.social-icons a {
  color: var(--text-light);
}


@media (max-width: 768px) {
  .hamburger {
    display: flex;
  }

  .hero-section {
    flex-direction: column;
    height: auto;
    padding: 0;
  }

  .hero-image {
    width: 100vw;
    height: auto;
  }

  .hero-text {
    justify-content: center;
    align-items: center;
    padding: 2rem;
  }

  .spaced-text{
    text-align: left;
    line-height: 2.5rem;
  }

  .flex-container1 {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .flex-container2 {
    justify-content: center;
    align-items: center;
  }

  .flex-card {
    text-align: center;
  }

  .grid-container {
    grid-template-columns: 1fr;
    width: 100%;
    height: auto;
  }

  .grid-item1 {
    min-width: 0;
    max-width: 100%;
    height: auto;
    padding: 0 2rem;
    overflow: hidden;
  }

  .grid-item2 {
    min-width: 0;
    max-width: 100%;
    height: auto;
    padding: 0 0.5rem;
    overflow: hidden;
  }

  .grid-item3 {
    min-width: 0;
    max-width: 100%;
    height: auto;
    padding: 0 0.5rem;
    overflow: hidden;
  }

  .grid-item4 {
    min-width: 0;
    max-width: 100%;
    height: auto;
    padding: 0 2rem;
    overflow: hidden;
  }

  .more-products-text {
    width: 100%;
    height: auto;
    padding: 0 0.5rem;
  }

  .flex-header {
    line-height: 2rem;
  }

  .flex-header-margin {
    margin: 0;
  }

  .product-category-text p{
    padding-top: 1rem;
  }

  .products-grid {
    padding: 0 1rem;
    place-items: center;
  }

  #why-choose {
    text-align: center;
    padding: 2rem;
  }

  #categories {
    text-align: center;
  }

  #more-products,
  #about-us {
    flex-direction: column;
    padding: 2rem;
  }

  .request-supply {
    justify-content: center;
    align-items: center;
    padding: 2rem;
  }

  .request-supply img {
    display: none;
  }

  .request-supply-text {
    justify-content: center;
    align-items: center;
  }


  .input-container {
    flex-direction: column;        
    border-radius: 1rem;           
    max-width: 100%;
  }

  .input-container button {
    border-radius: 1rem 1rem 0 0;  
    width: 100%;                   
    padding: 0.75rem 1rem;
  }

  .input-container input {
    border-radius: 0 0 1rem 1rem; 
    width: 100%;                   
  }


  .product-hero-text {
    width: 50%;
  }

  .product-hero-text h1 {
    font-size: 5vw;
  }

  .product-category-header {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 1rem 1.5rem;
  }

  .contact-info {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 3rem;
  }

  .contact-form {
    grid-template-columns: 1fr;
  }

  .full-width {
    grid-column: span 1; 
  }

  .footer-main-grid {
    grid-template-columns: 1fr;
  }

  .footer-bottom-flex {
    flex-direction: column;
    gap: 2rem;
  }
}

@media (max-width: 1200px) {
  .request-supply img {
    display: none;
  }
}


@media (min-width: 769px) {
  .nav-links-container {
    width: auto;
    display: block;
  }

  .nav-links {
    flex-direction: row;
    overflow: visible;
  }
}

@media screen and (max-width: 400px) {
  .bg-btn {
    padding: 0.4rem 1rem;
    font-size: 0.7rem;
  }

  .outline-button {
    padding: 0.4rem 1rem;
    font-size: 0.7rem;
  }

  .about-us-text a:nth-child(1) {
    padding: 0.4rem 1rem;
    font-size: 0.7rem;
  }

  .about-us-text a:nth-child(2) {
    padding: 0.4rem 1rem;
    font-size: 0.7rem;
  }

  .contact-hero {
    overflow: hidden;
  }

  .hero-section {
  aspect-ratio: 400 / 224.06;
  background-image: url("images/mobile-hero-background.svg");
}
}






